Skip to content

Reject envelope recipient on behalf of

POST
/envelope/recipient/{recipientId}/reject
curl --request POST \
--url https://app.legaldoc.com/api/v2/envelope/recipient/1/reject \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "envelopeId": "example", "reason": "example", "actAsEmail": "example" }'

Records a rejection on behalf of a recipient. Use this when a recipient has declined to sign outside of the platform. The rejection is flagged as external in the document audit log. By default the action is attributed to the API user; supply actAsEmail to attribute it to a specific team member.

recipientId
required
number

The ID of the recipient to reject the document on behalf of.

Media typeapplication/json
object
envelopeId
required
string
reason
required
string
>= 1 characters
actAsEmail
string
/^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~\u{0080}-\u{FFFF}-]+@[a-zA-Z0-9\u{0080}-\u{FFFF}](?:[a-zA-Z0-9\u{0080}-\u{FFFF}-]{0,61}[a-zA-Z0-9\u{0080}-\u{FFFF}])?(?:\.[a-zA-Z0-9\u{0080}-\u{FFFF}](?:[a-zA-Z0-9\u{0080}-\u{FFFF}-]{0,61}[a-zA-Z0-9\u{0080}-\u{FFFF}])?)*$/
Examplegenerated
{
"envelopeId": "example",
"reason": "example",
"actAsEmail": "example"
}

Successful response

Media typeapplication/json
object
envelopeId
required
string
role
required
string
Allowed values: CC SIGNER VIEWER APPROVER ASSISTANT
readStatus
required
string
Allowed values: NOT_OPENED OPENED
signingStatus
required
string
Allowed values: NOT_SIGNED SIGNED REJECTED
sendStatus
required
string
Allowed values: NOT_SENT SENT
id
required
number
email
required
string
name
required
string
token
required
string
documentDeletedAt
required
string | null
expired
required
string | null
expiresAt
required
string | null
expirationNotifiedAt
required
string | null
signedAt
required
string | null
authOptions
required
object
accessAuth
required
Array<string>
Allowed values: ACCOUNT TWO_FACTOR_AUTH
actionAuth
required
Array<string>
Allowed values: ACCOUNT PASSKEY TWO_FACTOR_AUTH PASSWORD EXPLICIT_NONE
signingOrder
required
number | null
rejectionReason
required
string | null
fields
required
Array<object>
object
envelopeId
required
string
envelopeItemId
required
string
type
required
string
Allowed values: SIGNATURE FREE_SIGNATURE INITIALS NAME EMAIL DATE TEXT NUMBER RADIO CHECKBOX DROPDOWN
id
required
number
secondaryId
required
string
recipientId
required
number
page
required
number
positionX
required
positionY
required
width
required
height
required
customText
required
string
inserted
required
boolean
fieldMeta
required
One of:
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
default: 12 >= 8 <= 96
overflow
required
string
default: auto
Allowed values: auto horizontal vertical crop
type
required
string
Allowed values: signature
documentId
number | null
templateId
number | null
Example
{
"role": "CC",
"readStatus": "NOT_OPENED",
"signingStatus": "NOT_SIGNED",
"sendStatus": "NOT_SENT",
"authOptions": {
"accessAuth": [
"ACCOUNT"
],
"actionAuth": [
"ACCOUNT"
]
},
"fields": [
{
"type": "SIGNATURE",
"fieldMeta": {
"fontSize": 12,
"overflow": "auto",
"type": "signature"
}
}
]
}

Invalid input data

Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{
"message": "example",
"code": "example",
"issues": [
{
"message": "example"
}
]
}

Authorization not provided

Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{
"message": "example",
"code": "example",
"issues": [
{
"message": "example"
}
]
}

Insufficient access

Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{
"message": "example",
"code": "example",
"issues": [
{
"message": "example"
}
]
}

Internal server error

Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{
"message": "example",
"code": "example",
"issues": [
{
"message": "example"
}
]
}